var assert = require('assert');
var validate = require('./validate_host');

it('should be like this', function() {
	assert.equal(validate("http://baidu.com"), true);
	assert.equal(validate("http://baidu.com:8000"), true);
});

it('should have http protocol', function() {
	assert.equal(validate("baidu.com"), false);
});

it('should not end with \'/\'', function() {
	assert.equal(validate("http://baidu.com/"), false);
});

it('should not have path', function() {
	assert.equal(validate("http://baidu.com/images"), false);
	assert.equal(validate("http://baidu.com?query=1"), false);
});

it('should not be empty', function() {
	assert.equal(validate(""), false);
});
